%define upstream_name    PDF-API2
%define upstream_version 2.027

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PDF-API2 Perl module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF)
BuildArch:  noarch

Requires:   fonts-ttf-dejavu
%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find contrib -type f | xargs \
    perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Win32.pm
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm
rm -rf %{buildroot}%{perl_vendorlib}/PDF/API2/fonts

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 contrib/* %{buildroot}%{_bindir}

%files
%doc Changes LICENSE META.yml MYMETA.yml PATENTS README
%{perl_vendorlib}/PDF
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.27.0-3pclos2017
- rebuild against updates

